<p *ngIf="loading">Chargement...</p>
<p class="text-danger" *ngIf="error">{{ error }}</p>
<div *ngIf="place">
  <a [href]="website"><h3>{{ place.name }}</h3></a>
  <span>est {{ getType(place.type) }}</span>
  <div>
    <i *ngIf="rating > 0" mat-icon class="material-icons">
      star
    </i>
    <i *ngIf="rating < 1" mat-icon class="material-icons">
      star_border
    </i>
    <i *ngIf="rating > 1" mat-icon class="material-icons">
      star
    </i>
    <i *ngIf="rating < 2" mat-icon class="material-icons">
      star_border
    </i>
    <i *ngIf="rating > 2" mat-icon class="material-icons">
      star
    </i>
    <i *ngIf="rating < 3" mat-icon class="material-icons">
      star_border
    </i>
    <i *ngIf="rating > 3" mat-icon class="material-icons">
      star
    </i>
    <i *ngIf="rating < 4" mat-icon class="material-icons">
      star_border
    </i>
    <i *ngIf="rating > 4" mat-icon class="material-icons">
      star
    </i>
    <i *ngIf="rating < 5" mat-icon class="material-icons">
      star_border
    </i>
  </div>
  <div>
    {{ this.address }}
  </div>
  <agm-map (mapReady)="mapReady($event)">
  </agm-map>
  <div>{{ place.description }}</div>
  <h5 *ngIf="reviews && reviews.length > 0">Commentaires</h5>
  <button mat-raised-button (click)="openDialog()">Ajouter un commentaire</button>
  <div *ngFor="let review of reviews">
    <a [href]="review.author_url">{{ review.author_name }}</a>
    <div>
      <i *ngIf="review.rating > 0" mat-icon class="material-icons">
        star
      </i>
      <i *ngIf="review.rating < 1" mat-icon class="material-icons">
        star_border
      </i>
      <i *ngIf="review.rating > 1" mat-icon class="material-icons">
        star
      </i>
      <i *ngIf="review.rating < 2" mat-icon class="material-icons">
        star_border
      </i>
      <i *ngIf="review.rating > 2" mat-icon class="material-icons">
        star
      </i>
      <i *ngIf="review.rating < 3" mat-icon class="material-icons">
        star_border
      </i>
      <i *ngIf="review.rating > 3" mat-icon class="material-icons">
        star
      </i>
      <i *ngIf="review.rating < 4" mat-icon class="material-icons">
        star_border
      </i>
      <i *ngIf="review.rating > 4" mat-icon class="material-icons">
        star
      </i>
      <i *ngIf="review.rating < 5" mat-icon class="material-icons">
        star_border
      </i>
    </div>
    <div>
      {{ review.text }}
    </div>
  </div>
</div>
